=== debian/changelog ===
mcrl2 (201007~rc1-1) unstable; urgency=low

  * New upstream release; using this release candidate for Squeeze
    as recommended by upstream.
  * debian/control: 
    - Bumped standards version to 3.9.1; no changes required.
  * debian/copyright:
    - Inserted the BSD license verbatim instead of pointing to
      /usr/share/common-licenses/BSD which is soon to be removed.
  * debian/menu:
    - Replaced menu item for SQuADT by one for mCRL2 GUI.
  * debian/rules:
    - Added MCRL2_ suffixes to the build flags because this has been
      changed upstream.

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 03 Aug 2010 12:49:57 +0200
