=== debian/control ===
Source: mcrl2
Section: math
Priority: extra
Maintainer: Paul van Tilburg <paulvt@debian.org>
Build-Depends: debhelper (>= 5), cmake, libboost1.42-dev, libboost-date-time1.42-dev, libboost-filesystem1.42-dev, libboost-graph1.42-dev, libboost-program-options1.42-dev, libboost-regex1.42-dev, libboost-signals1.42-dev, libboost-system1.42-dev, libboost-test1.42-dev, libboost-thread1.42-dev, libwxgtk2.8-dev (>= 2.8.4), libglu1-mesa-dev (>= 7.0.1)
Standards-Version: 3.9.1
Homepage: http://www.mcrl2.org/
Vcs-Browser: https://svn.win.tue.nl/viewcvs/MCRL2/packaging/mcrl2/trunk/
Vcs-Svn: https://svn.win.tue.nl/repos/MCRL2/packaging/mcrl2/trunk/

Package: mcrl2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: the mCRL2 formal specification language toolset
 mCRL2 stands for micro Common Representation Language 2.  It is a
 specification language that can be used to specify and analyse the
 behaviour of distributed systems and protocols and is the successor to
 muCRL.  Using its accompanying toolset, systems can be analysed and
 verified automatically.
 .
 This toolset supports a collection of tools for linearisation, simulation,
 state-space exploration and generation and tools to optimise and analyse
 specifications.  Moreover, state spaces can be manipulated, visualised and
 analysed.
